> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/api-keys/expire-an-api-key/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Expire an API key POST https://api.withpersona.com/api/v1/api-keys/{api-key-id}/expire Content-Type: application/json Deactivates an API key within some time period Reference: https://docs.withpersona.com/api-reference/api-keys/expire-an-api-key ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `api-key-id` (string, required) — API key's ID (starts with "api_") ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ### Body (application/json) This endpoint expects an object. - `meta` (ApiKeysApiKeyIdExpirePostRequestBodyContentApplicationJsonSchemaMeta, required) ## Response ### 200 This endpoint returns an API key object. - `data` (api-key, required) — An API Key resource - `included` (list of any, optional) — Excluded from the response by default. Will be an empty array when the `include` query parameter in the request was explicitly set to empty. ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 409 Conflict Error The request conflicts with another request, often due to attempting to create a duplicate resource. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 422 Unprocessable Entity Error The request modifies the resource in an unacceptable way, often due to an invalid action or parameter. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ApiKeysApiKeyIdExpirePostRequestBodyContentApplicationJsonSchemaMeta - `expires-in-seconds` (integer, required) — Number of seconds from now to expire the key (max of 30 days) ### api-key An API Key resource - `type` ("api-key", optional) - `id` (string, optional) - `attributes` (api-key-shared-attributes, optional) ### ApiKeysApiKeyIdExpirePostResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### api-key-shared-attributes - `name` (string, optional) - `note` (string, optional, nullable) - `api-version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` - `api-key-inflection` (string, optional) - `api-attributes-blocklist` (list of string, optional) - `permissions` (list of string, optional) - `ip-address-allowlist` (list of string, optional) - `file-access-token-expires-in` (integer, optional) - `last-used-at` (string, optional, nullable) - `expires-at` (string, optional, nullable) - `created-at` (datetime, optional) ## Examples **Request** ```json { "meta": { "expires-in-seconds": 10 } } ``` **Response** ```json { "data": { "type": "api-key", "id": "api_ABC123", "attributes": { "name": "Default API Key", "note": null, "api-version": "2023-01-05", "api-key-inflection": "kebab", "api-attributes-blocklist": [ "address-*", "name-last", "/data/attributes/fields/*-number" ], "permissions": [ "account.read", "account.write", "api_log.read" ], "ip-address-allowlist": [ "*" ], "file-access-token-expires-in": 21600, "last-used-at": "2023-08-17T23:24:00.000Z", "expires-at": null, "created-at": "2023-08-17T23:18:13.000Z" } } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/api-keys/api-key-id/expire" payload = { "meta": { "expires-in-seconds": 10 } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/api-keys/api-key-id/expire'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"meta":{"expires-in-seconds":10}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/api-keys/api-key-id/expire" payload := strings.NewReader("{\n \"meta\": {\n \"expires-in-seconds\": 10\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/api-keys/api-key-id/expire") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"meta\": {\n \"expires-in-seconds\": 10\n }\n}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.withpersona.com/api/v1/api-keys/api-key-id/expire") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"meta\": {\n \"expires-in-seconds\": 10\n }\n}") .asString(); ``` ```php Success request('POST', 'https://api.withpersona.com/api/v1/api-keys/api-key-id/expire', [ 'body' => '{ "meta": { "expires-in-seconds": 10 } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/api-keys/api-key-id/expire"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"meta\": {\n \"expires-in-seconds\": 10\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["meta": ["expires-in-seconds": 10]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/api-keys/api-key-id/expire")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```